{% extends '_layouts/default' %}

{% block contents %}
    {% include '_partials/banner.twig' with { 'bannerWithBlueSection': 'activeBannerWithBlueSection' } %}
    {% include '_partials/banner-detail.twig' %}
    <div class="career-top vspace bg-silver">
        <div class="row width-940 animatedParent animateOnce">
            <div class="columns small-12 animated fadeInDownShort">
                <div class="career-top content">
                    {% import '_macros/components' as components %}
                    {{ components.contentBuilder(entry.contentBuilder) }}
                </div>
            </div>
        </div>
    </div>
    <div class="career-main wrap">
    {% if craft.entries.section('careers')|length %}

        {% for job in craft.entries.section('careers') %}
            <div class="row width-940 animatedParent animateOnce">
                <div class="career-main holder">
                    <div class="columns small-12">
                        {% if job.jobDocument | length %}
                            <div class="career-main image animated fadeInRightShort">
                                <a href="{{ job.jobDocument.first().url }}" target="_blank"><img src="{{ entry.defaultDownloadIcon.first().url }}" alt="{{ job.id }}"></a>
                            </div>
                        {% endif %}
                        <div class="career-main content animated fadeInLeftShort">
                            <a href="{{ job.url }}"><h2>{{ job.title }}</h2></a>
                            <p>{{ job.jobPreview }}</p>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}

    {% else %}

        <div class="row width-940 animatedParent animateOnce">
            <div class="columns small-12 animated fadeInDownShort">
                <div class="search-lists results content">
                    <h2>Sorry, no job openings currently! <br> Keep checking back, we'll post here when an opening is available.</h2>
                </div>
            </div>
        </div>

    {% endif %}
    </div>
{% endblock contents %}
